------------------------------------------------------------------------------------
--Name：  20220314【简体征服】全球儿童节活动
--Creator:      蔡颖静
--Created:     2022-04-29
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>276
--/reloadlua Script/ChildrenDay/2022/ChildrenDay2022Part.lua
--/chgmap 11555 333 261

CppScriptMgr:SetViewPosByCell(333,261)

CppScriptMgr:SetLightScreen(2000);
---Sweet Vanilla
local Grass1 = CppScriptMgr:AddSimplePlayer(45570,330,257, "Sweet Vanilla", 4003000013,1)
local Grass2 = CppScriptMgr:AddSimplePlayer(45570,327,260, "Sweet Vanilla", 4003000014,1)
local Grass3 = CppScriptMgr:AddSimplePlayer(45570,327,254, "Sweet Vanilla", 4003000015,1)
local Grass4 = CppScriptMgr:AddSimplePlayer(45570,333,254, "Sweet Vanilla", 4003000016,1)
local Grass5 = CppScriptMgr:AddSimplePlayer(45570,333,260, "Sweet Vanilla", 4003000017,1)
-- 给Sweet Vanilla增加光效
Grass1:AddEffect("zero7196670",330,257)
Grass2:AddEffect("zero7196670",327,260)
Grass3:AddEffect("zero7196670",327,254)
Grass4:AddEffect("zero7196670",333,254)
Grass5:AddEffect("zero7196670",333,260)

CppScriptMgr:WaitMilSec(2500)
-- 增加born光效，Lowney出现
CppScriptMgr:AddEffect("zf2-e281",335, 272)
CppScriptMgr:WaitMilSec(1000)
local LongAoAo = CppScriptMgr:AddSimplePlayer(1050144,335,272, "Lowney", 4003000018,1)
LongAoAo:SetDir(4)

-- Lowney走向Sweet Vanilla，嘴里说，这些草怎么长得这么奇怪
CppScriptMgr:WaitMilSec(1000)

LongAoAo:RunTo(330,261)
CppScriptMgr:WaitMilSec(1000)
LongAoAo:Say("The grass looks so strange!", 1500)
CppScriptMgr:WaitMilSec(2000)
--；Lowney在Sweet Vanilla前半跪进行采摘，喊话容我摘下来仔细研究一番：
LongAoAo:SetAction(210)
LongAoAo:SetAction(210)
LongAoAo:SetAction(210)
LongAoAo:SetAction(210)
LongAoAo:SetAction(210)

LongAoAo:Say("Let me have a close look!", 1500)

-- 突然一只巨龙从天而降出现在Lowney身边
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:AddEffect("accession",337, 262);
local JuLong = CppScriptMgr:AddSimplePlayer(1059953,337,262, "Giant Dragon", 4003000019,1)
JuLong:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
JuLong:Say("#52#52#52#52", 1500)

-- Lowney起身，喊话：好大一只龙！快跑！跑出地图
CppScriptMgr:WaitMilSec(500)
LongAoAo:SetAction(100)
CppScriptMgr:WaitMilSec(500)
LongAoAo:RunTo(330,235)
LongAoAo:Say("#19#19#19What a huge dragon!", 1000)


-- Hungry Dragon喊话：吧唧吧唧，说完Hungry Dragon面前的Sweet Vanilla消失
CppScriptMgr:WaitMilSec(6000)
JuLong:Say("Slurp...", 1500)

CppScriptMgr:WaitMilSec(1500)

Grass1:SetPos(1000,1000)
Grass2:SetPos(1000,1000)
Grass3:SetPos(1000,1000)
Grass4:SetPos(1000,1000)
Grass5:SetPos(1000,1000)

CppScriptMgr:WaitMilSec(2000)